Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1515820

Summary: copr build-module doesn't work/does not accept a github url
Product: [Community] Copr Reporter: Adam Samalik <asamalik>
Component: backendAssignee: Jakub Kadlčík <jkadlcik>
Status: NEW --- QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adam Samalik 2017-11-21 12:31:35 UTC
Description of problem:

The production instance won't accept a github URL:

```
$ copr build-module --url https://github.com/asamalik/testmodule?#master

copr build-module --url https://github.com/asamalik/testmodule?#master
```

I got the same error using src.fedoraproject.org as well.

The dev instance gives a 500 error on the same command.


Version-Release number of selected component (if applicable):

copr version 1.64 (copr-cli)
and production instance of copr running at the time of submitting this bug
also tested on the dev instance which gives a 500 error


Expected results:

My module gets built.


Additional info:

MBS has a list of allowed URLs. Limiting this makes sense in the Fedora Infra pipeline, but probably not in Copr.

Comment 1 Miroslav Suchý 2017-12-01 13:31:27 UTC
Jakube can you comment on this one?

Comment 2 Jakub Kadlčík 2017-12-05 10:03:29 UTC
Adam, thank you for the feedback.

> The production instance won't accept a github URL:
>
> MBS has a list of allowed URLs. Limiting this makes sense in the Fedora Infra pipeline, but probably not in Copr.

This is finally configured in https://infrastructure.fedoraproject.org/cgit/ansible.git/commit?id=02a558ce5343ba98f166575126a7c9ac68ae3e47 so we should have it in production after next release.

> The dev instance gives a 500 error on the same command.

I've upgraded the MBS on dev and now I am able to submit the module.

Our dev instances are not fully working after update to F27 and packages get stuck in the importing phase. I will mark this as MODIFIED after we get expected result - "My module gets built".